"Failed to destroy the record" error while deleting host

01/13/2017 12:45 PM - Kevin Carrasco

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've been getting "Failed to destroy the record" errors regularly when I attempt to delete a host. If I try again after getting the error it

usually works.

It looks like it's a problem while deleting the DHCP reservation:

2017-01-13 09:29:50 34b21bd9 [app] [I] Delete DHCP reservation for win7-test002.corp.bardel.ca-00:

1a:4a:16:01:6f/10.49.60.101

2017-01-13 09:29:54 34b21bd9 [app] [W] Failed to parse response: 

 | Changed the current scope context to 10.49.60.0 scope.

 | 

 | Command completed successfully.

 |  -> 757: unexpected token at 'Changed the current scope context to 10.49.60.0 scope.

 | 

 | Command completed successfully.

 | '

2017-01-13 09:29:54 34b21bd9 [sql] [D] Using host queue

2017-01-13 09:29:54 34b21bd9 [sql] [W] Rolling back due to a problem: [#<Orchestration::Task:0x007

f9a2e876b10 @name="Remove DHCP Settings for win7-test002.corp.bardel.ca", @status="failed", @prior

ity=5, @action=[#<Nic::Managed id: 546, mac: "00:1a:4a:16:01:6f", ip: "10.49.60.101", type: "Nic::

Managed", name: "win7-test002.corp.bardel.ca", host_id: 356, subnet_id: 1, domain_id: 1, attrs: {}

, created_at: "2017-01-11 23:47:35", updated_at: "2017-01-11 23:47:35", provider: nil, username: n

il, password: nil, virtual: false, link: true, identifier: "", tag: "", attached_to: "", managed: 

true, mode: "balance-rr", attached_devices: "", bond_options: "", primary: true, provision: true, 

compute_attributes: {"network"=>"00000000-0000-0000-0000-000000000009", "name"=>"nic1"}, execution

: true, ip6: "", subnet6_id: nil>, :del_dhcp], @timestamp=2017-01-13 17:29:54 UTC>]

 Production log of the whole host delete operation is attached.

Thanks.

Related issues:

Is duplicate of Smart Proxy - Bug #17823: Non-JSON response from MS DNS recor... Closed 12/21/2016

History

#1 - 01/16/2017 03:08 AM - Dominic Cleal

- Is duplicate of Bug #17823: Non-JSON response from MS DNS record deletion added

#2 - 01/16/2017 03:09 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report. This has been fixed in #17823 in the Smart Proxy for release in the upcoming 1.13.4. You can find the fix via that ticket in the

meantime.
